//
//  Ball.h
//  RedCore
//

#ifndef Ball_h
#define Ball_h

#include "cocos2d.h"

class Ball : public cocos2d::Node {
    public:
        virtual bool init();
        virtual void setPosition(float x, float y);
        void throwBall();
        CREATE_FUNC(Ball);
        bool superball;
        void setSuperball();
        void resetNormalball();
    private:
        cocos2d::DrawNode* ball_draw;
        cocos2d::DrawNode* superball_draw;
};

#endif /* Ball_h */
